#ifndef MATRIX_H
#define MATRIX_H

class Matrix
{
	float m[16];
public:
	Matrix();

	float* GetPtr(){return m;}

	void SetIdMatrix( );
	void SetMatrix( const Matrix& newmatrix );
	void RotateX( const float& angle );
	void RotateY( const float& angle );
	void RotateZ( const float& angle );
	void Translate( const float& x, const float& y, const float& z );	
	void Multiply(const Matrix& leftmatrix);

	void TransformVector(float* v3);
	void TransformPoint(float* v3);
};

#endif
