#include <GL/glut.h>
#include <math.h>
#include "scene.h"

SGNode::SGNode()
{
	color[0] = color[1] = color[2] = 1;
	relativematrix.SetIdMatrix();
	validglobalmatrix = false;
	parentnode = NULL;
}

//Destrukter füllen!
SGNode::~SGNode()
{
	
}

void SGNode::predraw()
{
	if( !validglobalmatrix )
	{
		globalmatrix = relativematrix;
		if(parentnode)
		{
			globalmatrix.Multiply(parentnode->globalmatrix);
		}
		for(int i=0; i<nodes.size(); i++)
			nodes[i]->validglobalmatrix = false;
		validglobalmatrix = true;
	}
	for(int i=0; i<nodes.size(); i++)
		nodes[i]->predraw();
}

//Zeichnen!
void SGNode::draw()
{

}

//Folgende Funktionen müssen noch ausgefüllt werden. Benutzt dabei eure Matrixoperationen.
void SGNode::SetColor( const float& r, const float& g, const float& b )
{

}

void SGNode::SetMatrix( const Matrix& newmatrix )
{

}

void SGNode::SetIdMatrix( )
{

}

void SGNode::RotateX( const float& angle )
{

}

void SGNode::RotateY( const float& angle )
{

}

void SGNode::RotateZ( const float& angle )
{
	
}

void SGNode::Translate( const float& x, const float& y, const float& z )
{

}

void SGNode::AddNode( SGNode* node )
{

}


SceneGraph::SceneGraph()
{
	rootNode = 0;
}

SceneGraph::~SceneGraph()
{
	if(rootNode)
		delete rootNode;
}

//Einen Knoten als root setzen
void SceneGraph::setRootNode(SGNode* node)
{
	
}
//Den ganzen Graphen zeichnen
void SceneGraph::draw()
{

}
